> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vibetoken.cn/llms.txt
> Use this file to discover all available pages before exploring further.

# Wan 2.7 — 文本生成视频

> 使用 Wan 2.7 从文本提示词生成 2–15 秒、720P 或 1080P 的视频。

|           |                       |
| --------- | --------------------- |
| **模型 ID** | `alibaba/wan-2-7-t2v` |
| **系列**    | `wan-2-7-novita`      |
| **任务**    | `text-to-video`       |
| **模态**    | 视频                    |
| **上游**    | Alibaba Wan 2.7       |

<Note>
  输出尺寸由显式的 `size` 字段决定（完整像素
  尺寸，如 `"1920*1080"`）——它同时决定宽高比和
  每秒计价档位。
</Note>

## 端点

```http theme={null}
POST https://vibetoken.cn/v1/videos/generations
```

异步——返回 `{id, status: "pending"}`；轮询
`GET /v1/videos/generations/{id}` 直到 `success` 或 `failed`。

## 参数

<ParamField body="prompt" type="string" required>
  描述所需视频的文本提示词。最多 1500 个字符。
</ParamField>

<ParamField body="size" type="enum" default="&#x22;1920*1080&#x22;">
  完整像素尺寸——决定宽高比和计价档位。取值为
  `1920*1080`、`1080*1920`、`1440*1440`、`1632*1248`、`1248*1632`
  （约 2M 像素，**$0.15/s**），或 `1280*720`、`720*1280`、`960*960`、   `1088*832`、`832*1088`（约 0.9M 像素，**$0.10/s**）之一。
</ParamField>

<ParamField body="duration" type="integer" default="5">
  生成片段的时长（秒）。范围 `[2, 15]`。用于
  计费：`duration × size-tier rate`（见 `size`）。
</ParamField>

<ParamField body="audio_url" type="string">
  可选的参考音轨 URL。公开 HTTPS，MP3 / WAV。
</ParamField>

<ParamField body="negative_prompt" type="string">
  主动引导模型规避的内容。最多 500 个字符。
</ParamField>

<ParamField body="prompt_extend" type="boolean" default="true">
  是否让模型在生成前扩展并优化提示词。
</ParamField>

<ParamField body="watermark" type="boolean" default="false">
  是否在输出上叠加上游水印。
</ParamField>

<ParamField body="seed" type="integer">
  随机数生成器初始化种子。相同的 seed + 提示词 + 参数会产生
  确定性输出。范围 `[0, 2147483647]`。
</ParamField>

## 示例

```bash theme={null}
curl https://vibetoken.cn/v1/videos/generations \
  -H "Authorization: Bearer $VIBETOKEN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "alibaba/wan-2-7-t2v",
    "prompt": "a calm beach at sunrise, gentle waves",
    "size": "1920*1080",
    "duration": 5
  }'
```

```json theme={null}
{ "id": "wan_abc123…", "status": "pending", "model": "alibaba/wan-2-7-t2v" }
```

轮询直到终态：

```bash theme={null}
curl https://vibetoken.cn/v1/videos/generations/wan_abc123… \
  -H "Authorization: Bearer $VIBETOKEN_API_KEY"
```

```json theme={null}
{
  "id": "wan_abc123…",
  "status": "success",
  "data": [{ "url": "https://…mp4" }]
}
```

## 参考
